part of 'generated.dart';

class DeleteClientFeedbackVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteClientFeedbackVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteClientFeedbackData> dataDeserializer = (dynamic json)  => DeleteClientFeedbackData.fromJson(jsonDecode(json));
  Serializer<DeleteClientFeedbackVariables> varsSerializer = (DeleteClientFeedbackVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteClientFeedbackData, DeleteClientFeedbackVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteClientFeedbackData, DeleteClientFeedbackVariables> ref() {
    DeleteClientFeedbackVariables vars= DeleteClientFeedbackVariables(id: id,);
    return _dataConnect.mutation("deleteClientFeedback", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteClientFeedbackClientFeedbackDelete {
  final String id;
  DeleteClientFeedbackClientFeedbackDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteClientFeedbackClientFeedbackDelete otherTyped = other as DeleteClientFeedbackClientFeedbackDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteClientFeedbackClientFeedbackDelete({
    required this.id,
  });
}

@immutable
class DeleteClientFeedbackData {
  final DeleteClientFeedbackClientFeedbackDelete? clientFeedback_delete;
  DeleteClientFeedbackData.fromJson(dynamic json):
  
  clientFeedback_delete = json['clientFeedback_delete'] == null ? null : DeleteClientFeedbackClientFeedbackDelete.fromJson(json['clientFeedback_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteClientFeedbackData otherTyped = other as DeleteClientFeedbackData;
    return clientFeedback_delete == otherTyped.clientFeedback_delete;
    
  }
  @override
  int get hashCode => clientFeedback_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (clientFeedback_delete != null) {
      json['clientFeedback_delete'] = clientFeedback_delete!.toJson();
    }
    return json;
  }

  DeleteClientFeedbackData({
    this.clientFeedback_delete,
  });
}

@immutable
class DeleteClientFeedbackVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteClientFeedbackVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteClientFeedbackVariables otherTyped = other as DeleteClientFeedbackVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteClientFeedbackVariables({
    required this.id,
  });
}

